gr-baz Package

baz_fastrak_decoder Class Reference
GNU Radio baz C++ Signal Processing Blocks

square2 a stream of floats. More...

`#include <baz_fastrak_decoder.h>`

Inheritance diagram for baz_fastrak_decoder:
[legend]

## Public Member Functions
| ~baz_fastrak_decoder ()
void | set_sync_threshold (float threshold)
unsigned int | last_id_count (bool reset=false)
unsigned int | last_id () const
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Friends
BAZ_API baz_fastrak_decoder_sptr | baz_make_fastrak_decoder (int sample_rate)
| Return a shared_ptr to a new instance of baz_fastrak_decoder.

## Detailed Description

square2 a stream of floats.

This uses the preferred technique: subclassing gr_sync_block.

## Constructor & Destructor Documentation

## ◆ ~baz_fastrak_decoder()

baz_fastrak_decoder::~baz_fastrak_decoder | ( |  | ) |

## Member Function Documentation

## ◆ last_id()

unsigned int baz_fastrak_decoder::last_id | ( |  | ) | const
| inline

## ◆ last_id_count()

unsigned int baz_fastrak_decoder::last_id_count | ( | bool | reset = false | ) |

## ◆ set_sync_threshold()

void baz_fastrak_decoder::set_sync_threshold | ( | float | threshold | ) |

## ◆ work()

int baz_fastrak_decoder::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

## Friends And Related Symbol Documentation

## ◆ baz_make_fastrak_decoder

BAZ_API baz_fastrak_decoder_sptr baz_make_fastrak_decoder | ( | int | sample_rate | ) |
| friend

Return a shared_ptr to a new instance of baz_fastrak_decoder.

To avoid accidental use of raw pointers, baz_fastrak_decoder's constructor is private. baz_make_fastrak_decoder is the public interface for creating new instances.

References BAZ_API.

The documentation for this class was generated from the following file:

- baz_fastrak_decoder.h